﻿Imports AjaxControlToolkit

Partial Class MainVB
    Inherits System.Web.UI.MasterPage
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            AccordionMenu.DataSource = TryCast(SiteMapDataSource1.GetView(""), SiteMapDataSourceView).[Select](DataSourceSelectArguments.Empty)
            AccordionMenu.DataBind()
        End If
    End Sub


    Protected Sub OnItemDataBound(sender As Object, e As AccordionItemEventArgs)
        If e.ItemType = AccordionItemType.Header Then
            Dim menuText As String = TryCast(e.AccordionItem.FindControl("lnkMenu"), HyperLink).Text
            If menuText = SiteMap.CurrentNode.Title OrElse menuText = SiteMap.CurrentNode.ParentNode.Title Then
                AccordionMenu.SelectedIndex = e.ItemIndex
            End If
        End If
        If e.ItemType = AccordionItemType.Content Then
            Dim cPanel As AccordionContentPanel = e.AccordionItem
            Dim rptMenu As Repeater = DirectCast(cPanel.FindControl("rptMenu"), Repeater)
            rptMenu.DataSource = TryCast(e.AccordionItem.DataItem, SiteMapNode).ChildNodes
            rptMenu.DataBind()
        End If
    End Sub

End Class

